package com.qiaomeng.flutter.flutter_native_toast;

import androidx.annotation.NonNull;

import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/**
 * FlutterNativeToastPlugin
 */
public class FlutterNativeToastPlugin implements FlutterPlugin, MethodCallHandler {

    private MethodChannel channel;
    private ToastHandler toastHandler;

    @Override
    public void onAttachedToEngine(@NonNull FlutterPluginBinding flutterPluginBinding) {
        channel = new MethodChannel(flutterPluginBinding.getFlutterEngine().getDartExecutor(), "flutter_native_toast");
        channel.setMethodCallHandler(this);
        toastHandler = new ToastHandler(flutterPluginBinding.getApplicationContext());
    }


    public static void registerWith(Registrar registrar) {
        final MethodChannel channel = new MethodChannel(registrar.messenger(), "flutter_native_toast");
        channel.setMethodCallHandler(new FlutterNativeToastPlugin());
    }

    @Override
    public void onMethodCall(@NonNull MethodCall call, @NonNull Result result) {
        if (call.method.equals("showToast")) {
            String msg = call.argument("msg");
            int duration = 0;
            int position = 2;

            if (call.argument("duration") != null) {
                duration = call.argument("duration");
            }
            if (call.argument("position") != null) {
                position = call.argument("position");
            }
            toastHandler.showToast(msg, duration, position);
        } else {
            result.notImplemented();
        }
    }

    @Override
    public void onDetachedFromEngine(@NonNull FlutterPluginBinding binding) {
        channel.setMethodCallHandler(null);
    }
}
