package com.qiaomeng.flutter.flutter_native_toast;

import android.content.Context;
import android.view.Display;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;

import androidx.core.content.ContextCompat;
import androidx.fragment.app.FragmentActivity;


public class ToastHandler {
    private Context context;

    public ToastHandler(Context context) {
        this.context = context;
    }

    /**
     * 显示toast
     *
     * @param msg
     * @param duration
     * @param position
     */
    public void showToast(String msg, int duration, int position) {
        final Toast toast = Toast.makeText(context, "", duration);
        final View view = ((LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE))
                .inflate(R.layout.toast_2_layout, null);
        final TextView msgTv = view.findViewById(R.id.msg);
        int offset = 200;
        if (position == 0) {
            toast.setGravity(Gravity.TOP, 0, offset);
        } else if (position == 1) {
            toast.setGravity(Gravity.CENTER, 0, offset);
        } else if (position == 2) {
            toast.setGravity(Gravity.BOTTOM, 0, offset);
        }

        msgTv.setText(msg);
        toast.setView(view);
        toast.show();
    }
}
